var StylesOfMastery =
{
    styles: [{lvl: 0, name: 'verybad'}, {lvl: 25, name: 'bad'}, {lvl: 45, name: 'average'}, {lvl: 70, name: 'good'}, {lvl: 91, name: 'perfect'}],
    getStyleName: function (mastlvl) {
    	var res = this.styles[0].name;
    	for (var i = 0; i < this.styles.length; i++)
    	{
    		if (mastlvl >= this.styles[i].lvl )
    		{
    			res = this.styles[i].name;
    		}
    		else
    		{
    			break;
    		}
    	}
    	return res;
    },
    getWeightedStyleName: function (mastlvl) {
    	mastlvl = desiredResult > 0 ? mastlvl*100/desiredResult : mastlvl;
    	return this.getStyleName(mastlvl);
    }
}